# Tournament\_round

Before providing details about the tournament\_round element it might be useful to provide an overview of the structure of tournaments, season, simple tournaments and matches.

Figure below provides a good  overview:

<br>

![](/files/G1md7PfnCP4GP6crMzlO)

<br>

The tournament is in most cases the recurrent competition. The Season is the yearly periodical edition of the competition. Tournament\_round can be a Group, a Cup or a Qualification. The three of them are also classified as simple tournaments which can be seen as micro tournament inside the season.&#x20;

After the overview on the structure of the competition elements we can proceed to analyse the attributes of the tournament\_round element.

Here follow some examples of the tournament round element:.

```
<tournament_round type="group" number="2" group="A" group_id="sr:group:59594" group_long_name="UEFA Champions League, Group A" betradar_id="1462"/>
<tournament_round type="cup" name="round_of_16" cup_round_match_number="2" cup_round_matches="2" other_match_id="sr:match:28795874" phase="playoffs" betradar_id="62144"/>
```

<br>

Table below shows the list and meaning of attributes in the Tournament\_round element (in red in the first example above):&#x20;

| Attribute                                  | Meaning                                                                                                                                                                                                                                                                              | Possible values                                                                                      |
| ------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------- |
| type                                       | The element tournament\_round describes what cup stage or round the match is. In case the match has a cup round assigned to it, it will at least get type "cup", if it also has cup round name "cupqround" it will get type "qualification". All other matches will get type "group" | <ul><li>group</li><li>cup</li><li>qualification</li></ul>                                            |
| group                                      | Specifies which group, league of the tournament the match belongs in.                                                                                                                                                                                                                | Value of the group is a string and depends on the kind of tournament (see example above)             |
| number                                     | This attribute is present only if type="group" and displays the round number.                                                                                                                                                                                                        | Integer number                                                                                       |
| group\_id                                  | <p>Unique id of the group. </p><p>The id of the group can be used for example in the tournament end point inserting the id of the group in the simple\_tournament filter.</p><p>The description of the simple\_tournament corresponds to the description of the group.</p>           | <p>Example:</p><p>group\_id="sr:group:44700"</p>                                                     |
| group\_long\_name                          | <p>Name of the tournament the group belongs in.</p><p><br></p>                                                                                                                                                                                                                       | Value of the group\_long\_name is a string and depends on the kind of tournament (see example above) |
| betradar\_id                               | Unique id of the tournament\_round to be filtered as well as simple\_tournament in the tournament end point.                                                                                                                                                                         | <p>Example:</p><p>betradar\_id="94493"</p>                                                           |
| cup\_round\_matches                        | Number of matches that will be played for this cup round only shown if it's more than 1.                                                                                                                                                                                             | Number                                                                                               |
| <p>cup\_round\_match\_number: <br><br></p> | Match number of the cup round, only shown if cup\_round\_matches is more than 1.                                                                                                                                                                                                     | Number                                                                                               |
| other\_match\_id                           | <p>The other match, only shown if cup\_round\_matches is more than 1.<br><br></p>                                                                                                                                                                                                    | Match id                                                                                             |
| phase                                      | Which phase of the tournament the match is in i.e                                                                                                                                                                                                                                    | Regular season, Relegation playoffs, Pre-seasonexamples                                              |
| <p><br></p>                                | <p><br></p>                                                                                                                                                                                                                                                                          | <p><br></p>                                                                                          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/uof/support-and-history/archived/deprecated-uof-endpoints/elements/tournament_round.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
